Find Near Duplicates
Snapshot Catalog Entry
This page is generated from broker tools/list snapshot data.
Find near-duplicate points using vector similarity.
Request Body
{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-find-near-duplicates-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-find-near-duplicates",
"arguments": {
"collection_name": "collection_name_example",
"memory_filter": "",
"query_filter": "",
"batch_size": 1,
"max_points": "",
"threshold": 1,
"group_by": "",
"include_missing_group": false,
"max_group_size": 1,
"include_snippets": false
}
}
}
Arguments Schema
{
"$defs": {
"MemoryFilterInput": {
"additionalProperties": true,
"properties": {
"type": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"entities": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"labels": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"related_ids": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "string"
},
{
"type": "null"
}
]
},
"scope": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"source": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
},
"created_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"created_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"updated_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"updated_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"expires_at_from": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"expires_at_to": {
"anyOf": [
{},
{
"type": "null"
}
]
},
"confidence_min": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"confidence_max": {
"anyOf": [
{
"type": "number"
},
{
"type": "null"
}
]
},
"text_hash": {
"anyOf": [
{
"type": "string"
},
{
"type": "null"
}
]
}
},
"type": "object"
}
},
"properties": {
"collection_name": {
"type": "string"
},
"memory_filter": {
"anyOf": [
{
"$ref": "#/$defs/MemoryFilterInput"
},
{
"type": "null"
}
]
},
"query_filter": {
"anyOf": [
{
"additionalProperties": true,
"type": "object"
},
{
"type": "null"
}
]
},
"batch_size": {
"type": "integer"
},
"max_points": {
"anyOf": [
{
"type": "integer"
},
{
"type": "null"
}
]
},
"threshold": {
"type": "number"
},
"group_by": {
"anyOf": [
{
"items": {
"type": "string"
},
"type": "array"
},
{
"type": "null"
}
]
},
"include_missing_group": {
"type": "boolean"
},
"max_group_size": {
"type": "integer"
},
"include_snippets": {
"type": "boolean"
},
"max_clusters": {
"type": "integer"
},
"max_pairs_per_cluster": {
"type": "integer"
}
},
"type": "object"
}
Code Examples
- cURL
- Node.js
- Python
curl -X POST 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp' \
-H 'Authorization: Bearer mad_live_***' \
-H 'Content-Type: application/json' \
-d '{
"jsonrpc": "2.0",
"id": "qdrant-qdrant-find-near-duplicates-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-find-near-duplicates",
"arguments": {
"collection_name": "collection_name_example",
"memory_filter": "",
"query_filter": "",
"batch_size": 1,
"max_points": "",
"threshold": 1,
"group_by": "",
"include_missing_group": false,
"max_group_size": 1,
"include_snippets": false
}
}
}'
const response = await fetch('https://madpanda3d.com/lab/mad-mcps/portal/api/mcp', {
method: 'POST',
headers: {
Authorization: 'Bearer mad_live_***',
'Content-Type': 'application/json',
},
body: JSON.stringify({
"jsonrpc": "2.0",
"id": "qdrant-qdrant-find-near-duplicates-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-find-near-duplicates",
"arguments": {
"collection_name": "collection_name_example",
"memory_filter": "",
"query_filter": "",
"batch_size": 1,
"max_points": "",
"threshold": 1,
"group_by": "",
"include_missing_group": false,
"max_group_size": 1,
"include_snippets": false
}
}
}),
});
const data = await response.json();
console.log(data);
import requests
url = 'https://madpanda3d.com/lab/mad-mcps/portal/api/mcp'
headers = {
'Authorization': 'Bearer mad_live_***',
'Content-Type': 'application/json',
}
payload = {
"jsonrpc": "2.0",
"id": "qdrant-qdrant-find-near-duplicates-example",
"method": "tools/call",
"params": {
"name": "qdrant.qdrant-find-near-duplicates",
"arguments": {
"collection_name": "collection_name_example",
"memory_filter": "",
"query_filter": "",
"batch_size": 1,
"max_points": "",
"threshold": 1,
"group_by": "",
"include_missing_group": false,
"max_group_size": 1,
"include_snippets": false
}
}
}
response = requests.post(url, headers=headers, json=payload, timeout=60)
print(response.json())
Example Responses
- 200 Success
- 502 Upstream Error
{
"ok": true,
"message": "Tool qdrant.qdrant-find-near-duplicates executed successfully.",
"note": "Response shape varies by MCP tool. Inspect live responses for exact fields."
}
{
"ok": false,
"classification": "upstream_http_error",
"message": "Upstream MCP returned a non-success status."
}